package com.iflytek.cloud.msc.util;

import java.util.HashMap;
import java.util.concurrent.ConcurrentLinkedQueue;


public class DataLogger 
{
	private HashMap<String , ConcurrentLinkedQueue<byte[]>> bufferMap;
	public DataLogger()
	{
		bufferMap = new HashMap<String , ConcurrentLinkedQueue<byte[]>>();
	}
	
	/**
	 * 保存数据
	 * @param path
	 * @param data
	 */
	public void addData(String path ,byte[] data)
	{
		if(bufferMap.containsKey(path)){
			ConcurrentLinkedQueue<byte[]>  dataQueue = 	bufferMap.get(path);
			dataQueue.add(data);
		}else{
			ConcurrentLinkedQueue<byte[]>  dataQueue = new ConcurrentLinkedQueue<byte[]>();
			dataQueue.add(data);
			bufferMap.put(path, dataQueue);
		}
	}

	/**
	 * 保存到本地
	 */
	public void saveToFile()
	{
		for (String key : bufferMap.keySet()) {
			ConcurrentLinkedQueue<byte[]>  dataQueue = bufferMap.get(key);
			FileUtil.saveFile(dataQueue,key);
		}
	}
}
